package com.mycompany.jspandjavabeanandservletexample;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author aretter
 */
public class TaxServlet extends HttpServlet {
    
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        
        //get the tax bean from the request
        TaxBean taxBean = (TaxBean)req.getAttribute("taxBean");
        
        //preform the calculation
        double net = calculateNet(taxBean.getGross(), taxBean.getTaxPercentage());
        taxBean.setNet(net);
        
        //set the updated tax bean in the request
        req.setAttribute("taxBean", taxBean);
        
        //sent to the result page
        RequestDispatcher rd = req.getRequestDispatcher("index.jsp");
        rd.forward(req, resp);
    }

    /* Business logic for calculating the net value */
    private double calculateNet(double gross, double taxPercentage) {
        return (gross / (100 + taxPercentage)) * 100;
    }
}
